import {
  geoIdentity,
  geoPath,
  geoConicConformal,
  geoOrthographic,
  geoAlbers
} from 'd3';

const projection = geoIdentity().reflectY(true);

const path = geoPath(projection);

export const Marks = ({ MassGeo, sizeScale, sizeValue }) => {
  projection.fitExtent([[0,0],[960,500]], MassGeo);
  return (
    <g className="marks">
      {MassGeo.features.map(feature => (
        <path d={path(feature)} />
      ))}
    </g>
  );
};
